Create Appointment Type
curl --request POST \
--url https://integration.getmateo.com/api/v1/appointment_type \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key": "<string>",
"emoji": "<string>",
"description": "<string>",
"external_id": "<string>"
}
'import requests
url = "https://integration.getmateo.com/api/v1/appointment_type"
payload = {
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key": "<string>",
"emoji": "<string>",
"description": "<string>",
"external_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'random uuid',
created_at: 'now()',
updated_at: 'now()',
organisation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
key: '<string>',
emoji: '<string>',
description: '<string>',
external_id: '<string>'
})
};
fetch('https://integration.getmateo.com/api/v1/appointment_type', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key": "<string>",
"emoji": "<string>",
"description": "<string>",
"external_id": "<string>"
}{
"id": "random uuid",
"created_at": "now()",
"updated_at": "now()",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"key": "<string>",
"emoji": "<string>",
"description": "<string>",
"external_id": "<string>"
}This response has no body data.Appointment Type
Create Appointment Type
Create a new appointment type
Create Appointment Type
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filtering Columns
Body
application/json
appointment_type
Appointment type ID
Creation date
Latest update
Organisation ID
Name of the appointment type
Key of the appointment type
Emoji of the appointment type
Description of the appointment type
External ID
Response
The updated Appointment Type object
Appointment type ID
Creation date
Latest update
Organisation ID
Name of the appointment type
Key of the appointment type
Emoji of the appointment type
Description of the appointment type
External ID
⌘I